/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */


#ifndef DRIVER_DISPLAY_H_
#define DRIVER_DISPLAY_H_

#include "config.h"

//TODO: Recode due to heavy limitations and license problems!

#ifdef INCLUDE_DISPLAY
// spi functions use whatever method you want
void glcdDisplayCommand(int);
void glcdDisplayData(int);
void LoadDisplayDriver(void);
void Switch2Display(void);

inline void DisplayBacklightOff(void);
inline void DisplayBacklightOn(void);

#endif

#endif /*DRIVER_DISPLAY_H_*/
