/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#include "driver_controller.h"
#include "driver_system.h"
#include "type.h"

static int dummy;

void GoPowerDown(void)
{
	GoIdle();	
//	if (mEventFlags.TIMER_ACTIVE)
//	{
//		GoIdle();		
//	}
//	mEventFlags.POWERDOWN_ACTIVE=true;
//	dummy++;
//	dummy++;	//Two dummy writes to clear mam
//	PCON|=BIT1; //Power Down	
}

void GoIdle(void)
{
	PCON|=BIT0; //Idle
}

inline void TurOffPeripheral(int p)
{
	PCONP&=~p;	
}

inline void TurOnPeripheral(int p)
{
	PCONP|=p;	
}

void McuReset(void)
{
	WDTC = 0x00FFF; 
	WDMOD = 0x03; 
	WDFEED= 0xAA;
	WDFEED= 0x55;
}


