/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

/**
 * Created on Tue Oct 16 23:26:22 CEST 2007
 *
 * Created by     WSN Simulator 0.4.0 - Beta 1
 *
 * using plugin   CC1100Node [version=1.17, date=16.10.2007, author=Thomas Hillebrandt]
 *
 */
#include "defaultSettings.h"

// 400 kbps, 869.525 MHz, MSK, X-tal: 26 MHz (Chip Revision F)
char conf[] = {
  0x06, // IOCFG2
  0x2E, // IOCFG1
  0x0E, // IOCFG0
  0x0F, // FIFOTHR
  0x9B, // SYNC1
  0xAD, // SYNC0
  0x3F, // PKTLEN
  0x06, // PKTCTRL1
  0x45, // PKTCTRL0
  0x00, // ADDR
  0x00, // CHANNR
  0x0B, // FSCTRL1
  0x00, // FSCTRL0
  0x21, // FREQ2
  0x71, // FREQ1
  0x7A, // FREQ0
  0x2D, // MDMCFG4
  0xF8, // MDMCFG3
  0x73, // MDMCFG2
  0x42, // MDMCFG1
  0xF8, // MDMCFG0
  0x00, // DEVIATN
  0x07, // MCSM2
  0x03, // MCSM1
  0x18, // MCSM0
  0x1D, // FOCCFG
  0x1C, // BSCFG
  0xC0, // AGCCTRL2
  0x49, // AGCCTRL1
  0xB2, // AGCCTRL0
  0x87, // WOREVT1
  0x6B, // WOREVT0
  0xF8, // WORCTRL
  0xB6, // FREND1
  0x10, // FREND0
  0xEA, // FSCAL3
  0x2A, // FSCAL2
  0x00, // FSCAL1
  0x1F  // FSCAL0
};
