package carrera.serial;

import java.util.EventObject;

/**
 * Ereignis-Objekt f�r Daten �ber die serielle Schnittstelle.
 * 
 * @version 1.0, 2008-01-14
 * @author  Thomas Hillebrandt
 * @since   1.0
 */
public class SerialConnectionDataEvent extends EventObject {

    private String data;
    
    /**
     * Erzeugt ein neues <code>SerialConnectionDataEvent</code>-Objekt.
     *
     * @param source Das Ereignis ausl�sende Objekt.
     * @param data Eingegangene Daten.
     */
    public SerialConnectionDataEvent(Object source, String data) {
        super(source);
        this.data = data;
    }

    public String getData() {
        return data;
    }
    
}
