/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#include "board.h"
#include "driver_system.h"
#include "driver_controller.h"
#include "driver_timer.h"

void Led1On(void)
{
	FIO1CLR= BIT20;
}

void Led1Off(void)
{
	FIO1SET= BIT20;
}

void Led1Toggle(void)
{
	FIO1PIN^= BIT20;
}

void PowerOff(void)
{
	FIO0CLR= BIT13;
}

void Led2On(void)
{
	FIO1CLR= BIT28;
}

void Led2Off(void)
{
	FIO1SET= BIT28;
}

void Led2Toggle(void)
{
	FIO1PIN^= BIT28;
}

void Led3On(void)
{
}

void Led3Off(void)
{
}

void Led3Toggle(void)
{
}

void Led4On(void)
{
}

void Led4Off(void)
{
}

void Led4Toggle(void)
{
}



void alarm(void)
{
	while (1)
	{
		_wait(10000);
		Led2Toggle();
		Led1Toggle();
	}	
}

