/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#include <stdio.h>
#include "hardware.h"
#include "driver_uart0.h"
#include "console.h"
#include "driver_system.h"
 
s_devices* std_devices;

	static driver_serial dev_serial0;
	static driver_chardevice dev_console;
    static s_devices sd;
  
void configure_dev()
{
	std_devices=&sd;
	
	console_new(&dev_console, &dev_serial0);
	uart0_new((void*) &dev_console,console_char_in, &dev_serial0);

	std_devices->stdio_device = &dev_console;
	dev_serial0.driver.base.init(&(dev_serial0.driver));


	static sensor* sens[] = {NULL};	
}
