package carrera.data;

import carrera.Main;

/**
 *
 * @author hillebra
 */
public class GameEndTask implements Runnable {

    private Main main;
    private Thread t;
    private int time;
    
    public GameEndTask(Main main) {
        this.main = main;
    }
    
    public void setTime(int time) {
        this.time = time;
    }
    
    public void start() {
        t = new Thread(this);
        t.start();
    }
    
    public void stop() {
        if (t != null) {
            t.interrupt();
        }
    }
    
    @Override
    public void run() {
        try { Thread.sleep(time * 1000); } catch (InterruptedException ex) { return; }
        main.setGameMode(CarreraGames.MODE_DISPLAY_HIGH_SCORE);
        try { Thread.sleep(10000); } catch (InterruptedException ex) { return; }
        main.enableGameModeSwitcher();
    }
 
}
